// test.cpp - Trabajar con la clase CFecha
#include <iostream>
#include "fecha.h"
using namespace std;

void leerFecha(int&, int&, int&);
void visualizarFecha(const CFecha& fecha);

int main()
{
  CFecha::asignarFechaPorOmision(); // sin parámetros, fecha actual
  CFecha fecha1(29, 2, 2005);
  visualizarFecha(fecha1);
}

void leerFecha(int& dia, int& mes, int& anyo)
{
  cout << "día:  "; cin >> dia;
  cout << "mes:  "; cin >> mes;
  cout << "anyo: "; cin >> anyo;
}

void visualizarFecha(const CFecha& fecha)
{
  int dd, mm, aaaa;

  fecha.obtenerFecha(dd, mm, aaaa);
  cout << dd << "/" << mm << "/" << aaaa << "\n";
}
